RHash Struct Reference

`#include <ruby.h>`

## Data Fields

struct RBasic | basic
struct st_table * | ntbl
int | iter_lev
VALUE | ifnone

## Detailed Description

Definition at line 731 of file ruby.h.

## Field Documentation

struct RBasic RHash::basic

Definition at line 732 of file ruby.h.

VALUE RHash::ifnone

Definition at line 735 of file ruby.h.

Referenced by gc_mark_children().

int RHash::iter_lev

Definition at line 734 of file ruby.h.

struct st_table* RHash::ntbl

Definition at line 733 of file ruby.h.

Referenced by gc_mark_children().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h